Auto-pagination Helpers Documentation
Our client libraries offer auto-pagination helpers to traverse all pages of a list.
Parameters
-
limit(optional, default is 10)
Specifies a limit on the number of objects to return, ranging between 1 and 100. -
starting_after(optional object ID)
A cursor for pagination.starting_afteris an object ID that defines your place in the list. For example, if you make a list request and receive 100 objects, ending withobj_foo, your subsequent call can includestarting_after=obj_footo fetch the next page of the list. -
ending_before(optional object ID)
A cursor for pagination.ending_beforeis an object ID that defines your place in the list. For example, if you make a list request and receive 100 objects, starting withobj_bar, your subsequent call can includeending_before=obj_barto fetch the previous page of the list.
List Response Format
-
object(string, value is "list")
A string that provides a description of the object type that returns. -
data(array)
An array containing the actual response elements, paginated by any request parameters. -
has_more(boolean)
Whether or not there are more elements available after this set. Iffalse, this set comprises the end of the list.
Response Example
{
"object": "list",
"url": "/v1/customers",
"has_more": false,
"data": [
{
"id": "cus_4QFJ0jW2p0mAGJ",
"object": "customer",
"address": null,
"balance": 0,
"created": 1405641735,
"currency": "usd",
"default_source": "card_1A4Hp0G2eZvKYLo2Cz4u5AJG5",
"delinquent": false,
"description": "New customer",
"discount": null,
"email": null,
"invoice_prefix": "7D11854",
"invoice_settings": {
"custom_fields": null,
"default_payment_method": null,
"footer": null,
"rendering_options": null
},
"livemode": false,
"metadata": {
"order_id": "6735"
},
"name": "cus_4QFJ0jW2p0mAGJ",
"next_invoice_sequence": 25,
"phone": null,
"preferred_locales": [],
"shipping": null,
"tax_exempt": "none",
"test_clock": null
},
{...},
{...}
]
}